"use strict";
import * as React from "react";
import * as ReactDOM from "react-dom";
import { init } from "./init";
const CustomFieldDebuggerReactProvider = (props) => {
  const [isInitialized, setIsInitialized] = React.useState(false);
  const { component, setupCFDebugger = true, debug = false } = props;
  React.useEffect(() => {
    const rerenderFn = (props2, container = window.document.getElementById("root") || window.document.getElementById("reactele")) => {
      ReactDOM.render(React.createElement(component, { ...props2, setupCFDebugger: false }), container);
    };
    if (setupCFDebugger && !isInitialized) {
      if (debug) {
        console.log("CustomFieldDebuggerReactProvider: setup CF Debugger");
      }
      init(rerenderFn, window._RSS_PROPS_, debug);
      setIsInitialized(true);
    }
  });
  return /* @__PURE__ */ React.createElement(React.Fragment, null, props.children);
};
export {
  CustomFieldDebuggerReactProvider
};
